Android application is not compatible with my device

Android application is not compatible with my device

why is my device not compatible with some apps
how to make your device compatible with any app
how to make android app compatible with all devices
how to install incompatible apps on android no root
how do i fix this app is not compatible with this device
how do i fix app not compatible with this android device?
this app is not compatible with your device windows 10
tft your app is not compatible with this version of the game

I've created application on android, the main goal was: User is logging with his Google Account, scans an NFC Tag, sends the information of user login and tag to server using volley library and getting response. Everything was working fine when, I was using Android studio and usb debugging, everything wrks fine. I've put the app on to google play store and it's not compatible with my p9 lite, or any other phone with NFC. So I can't even download app. This is screenshot from Google Play:

And here is my Android Manifest:

<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="some.package.name">
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.NFC" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.WRITE_SETTINGS" />
    <uses-feature android:name="android.nfc"/>
    <application
        android:allowBackup="true"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:roundIcon="@mipmap/ic_launcher_round"
        android:supportsRtl="true"
        android:theme="@style/AppTheme">
        <activity android:name=".MainActivity"
            android:screenOrientation="portrait">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />
                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>

            <intent-filter>
                <action android:name="android.nfc.action.NDEF_DISCOVERED" />
                <category android:name="android.intent.category.DEFAULT" />
                <data android:mimeType="text/plain" />
            </intent-filter>
            <meta-data
                android:name="android.nfc.action.TECH_DISCOVERED"
                android:resource="@xml/nfc_tech_filter" />
        </activity>
    </application>
</manifest>

Here is also my gradle build Project:

buildscript {
    repositories {
        jcenter()
    }
    dependencies {
        classpath 'com.android.tools.build:gradle:2.3.1'
        classpath 'com.google.gms:google-services:3.0.0'
    }
}

allprojects {
    repositories {
        jcenter()
    }
}

task clean(type: Delete) {
    delete rootProject.buildDir
}

And gradle build app:

apply plugin: 'com.android.application'

android {
    signingConfigs {
        config {
            keyAlias 'key0'
            storeFile file('C:/AndroidKey/RandomKey.jks')
            keyPassword 'randomKey'
            storePassword 'randomPassword'
        }
    }
    compileSdkVersion 25
    buildToolsVersion "25.0.2"
    defaultConfig {
        applicationId "someId"
        minSdkVersion 15
        targetSdkVersion 25
        versionCode 3
        versionName "1.02"
        testInstrumentationRunner "android.support.test.runner.AndroidJUnitRunner"
    }
    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
            signingConfig signingConfigs.config
        }
        debug {
            signingConfig signingConfigs.config
        }
    }
}

dependencies {
    compile 'com.github.dmytrodanylyk.circular-progress-button:library:1.1.3'
    compile 'com.android.volley:volley:1.0.0'
    compile 'com.yarolegovich:lovely-dialog:1.0.5'
    compile 'hanks.xyz:htextview-library:0.1.5'
    compile fileTree(include: ['*.jar'], dir: 'libs')
    androidTestCompile('com.android.support.test.espresso:espresso-core:2.2.2', {
        exclude group: 'com.android.support', module: 'support-annotations'
    })
    compile 'com.android.support:appcompat-v7:25.2.0'
    compile 'com.android.support.constraint:constraint-layout:1.0.2'
    compile 'com.google.android.gms:play-services-auth:9.8.0'
    testCompile 'junit:junit:4.12'
}
  apply plugin: 'com.google.gms.google-services'

Everything works fine connected by USB but I can't even download application from Google Play Store. What can I do in that case? Thanks and greetings. EDIT: I've change the <uses-feature android:name="android.nfc"/> to <uses-feature android:name="android.hardware.nfc"/> but still the same situation:

EDIT: My device has NFC, and when I click at the options to show the compatible devices for my app it's there.


The correct tag is

<uses-feature android:name="android.hardware.nfc"/>

If your app also works on devices that don't have an NFC chip, you should add android:required="false" to the above tag.

How To Fix Device is Not Compatible With This Version, "Your Device Not Compatible With This Version" Solution. App Fix "Your Device Isn't Duration: 4:45 Posted: Jan 1, 2019 This is another method to resolve the “Your Device isn’t Compatible with this Version” on Google Play Store error: Go to the Settings application on your Android device and click on the option that says “Application Manager”. Find “Google Play Services” from the list of apps and click on the same.


If your app works with devices without nfc module, you should change your uses-feature like that:

<uses-feature android:name="android.hardware.nfc" android:required="false" />

If your app doesn't work with devices without nfc module, you should have compatible device with nfc and change your uses-feature like that:

<uses-feature android:name="android.hardware.nfc" />

Fix "Your Device Isn't Compatible With This Version" in Google Play , However, it is not possible for app developers to make the Application run smoothly in each Android device. This� Everything was working fine when, I was using Android studio and usb debugging, everything wrks fine. I've put the app on to google play store and it's not compatible with my p9 lite, or any other phone with NFC. So I can't even download app. This is screenshot from Google Play: And here is my Android Manifest:


Okay, so I found a solution, thanks everyone for hints, the answer is not in the manifest, so sorry for confusing question. Private apps in company

I'm not the administrator of google play developer console, and the owner didn't check the rights to

Allow users to update Google Play Private Channel

so when developing a company apps this option is necessary. Thanks for help and greetings.

EDIT: Also the device must have a work profile to install the app, it's working now.

Device compatibility overview, Hi User 14264461484413197688, more information would be useful to us such as what version of Android do you have, what type of Android� Google Play Store is the last destination to your everlasting journey of finding new apps. But do not make haste as your path is not an easy one. You will face many trials such as “This app is not compatible with your device” and much more. Now getting back to the reality, many Android users encounters troublesome errors time to time.


You have to update <uses-feature> tag as

<uses-feature 
   android:name="android.hardware.nfc"  
   android:required="false" />

That's it! You will go live!

How to Fix 'Your Device Isn't Compatible With This Version' on Play , Go to Android Market and try downloading the app that previously told you “This item is not compatible with your device.” You should now be able to download and� How to install Google Play Android apps when told 'Your device isn't compatible with this version' - Duration: 6:38. androidtesterer 150,883 views


This app is not compatible with my Android phone, For example, it might be that your carrier blocks the app, that your phone lack the required version of Android, or something similar. You can� I have published an android application to the play store and in some devices it shows your device isnt compatible with the version. but when i used that same apk directly it is working well. any h


How to Install Incompatible Apps from the Android Market, First of all, make sure in this day and age that you're on Android 7.0 and upwards before trying to install an application. "Device not compatible" error message in� If it requires Android 4.x or higher, and your device is running Android 2.x or 3.x, you know why it is not compatible. Google displays compatibility information right underneath's the install button on that page. If your device is not compatible, you will receive the following information: This app is incompatible with your "device name"


Google Play Shows You Why an App Is Incompatible with Your Device, The correct tag is <uses-feature android:name="android.hardware.nfc"/>. If your app also works on devices that don't have an NFC chip, you� However, if it says an app is incompatible, you can actually click the tiny plus sign next to that message to see why. For example, it might be that your carrier blocks the app, that your phone